/**************************************************************

matwrite.c (C-Munipack project)
Copyright (C) 2003 David Motl, dmotl@volny.cz

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

**************************************************************/

#define _NO_OLDNAMES

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include "comfun.h"
#include "cmpack_common.h"
#include "cmpack_match.h" 
#include "cmpack_phtfile.h" 
#include "matwrite.h"

/* Generates output file */
void MatWrite(CmpackMatch *cfg, CmpackMatchFrame *frame, CmpackPhtFile *pht)
{
	int		i, count; 
	CmpackPhtStar *star;

	/* Matching information */
	cmpack_pht_pkyi(pht, "match_rstars", cfg->maxstar, "Number of star used of matching");
	cmpack_pht_pkyi(pht, "match_istars", cfg->nstar, "Maximum identification stars");
	cmpack_pht_pkyd(pht, "match_clip", cfg->clip, 3, "Clipping threshold");
	cmpack_pht_pkyi(pht, "match_stars", frame->mstar, "Number of matched stars");
	cmpack_pht_pkyd(pht, "offsetx", frame->offx, 3, "Offset in X axis in pixels");
	cmpack_pht_pkyd(pht, "offsety", frame->offy, 3, "Offset in Y axis in pixels");

	/* For all stars in the reference file */
	count = cmpack_pht_nstar(pht);
	for (i=0; i<count; i++) {
		star = cmpack_pht_get_star(pht, i);
		cmpack_pht_star_set_refid(star, frame->i2[i]);
		cmpack_unref(star);
	}
}
