/**************************************************************

amasslist_dlg.h (C-Munipack project)
The 'Plot air-mass coefficients' dialog
Copyright (C) 2008 David Motl, dmotl@volny.cz

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

**************************************************************/

#ifndef CMPACK_AIRMASSLIST_DLG_H
#define CMPACK_AIRMASSLIST_DLG_H

#include <gtk/gtk.h>
#include <cmunipack.h>

#include "graph.h"
#include "graph_data.h"

class CAirMassListDlg
{
public:
	CAirMassListDlg(GtkWindow *pParent);
	~CAirMassListDlg();

	void Execute();
private:
	GtkWidget		*m_pDlg, *m_DataView;
	GtkListStore	*m_DataList;
	CGraph			m_Graph;
	CGraphData		m_Data;
	int				m_Column;
	CmpackTable		*m_Table;
	CmpackAirMass	*m_AirMass;

	int ProcessFiles(GSList *filelist);
	void SetData(int column);
	void OnSelectionChanged(GtkTreeSelection *selection);
	bool OnCloseQuery(gint response_id);
	void SaveData(void);

	static gboolean foreach_all_files(GtkTreeModel *model, GtkTreePath *path, GtkTreeIter *iter, void *data);
	static void selection_changed(GtkTreeSelection *widget, CAirMassListDlg *pMe);
	static void response_dialog(GtkDialog *pDlg, gint response_id, CAirMassListDlg *pMe);
	static void col_name_free(char *str, void *data);
};

#endif
