/**************************************************************

matching_dlg.h (C-Munipack project)
The 'Match stars' dialog
Copyright (C) 2008 David Motl, dmotl@volny.cz

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

**************************************************************/

#ifndef CMPACK_MATCHING_DLG_H
#define CMPACK_MATCHING_DLG_H

#include <gtk/gtk.h>

#include "chart.h"
#include "preview.h"

class CMatchingDlg
{
public:
	CMatchingDlg(GtkWindow *pParent);
	~CMatchingDlg();

	void Execute();
private:
	// Selection modes
	enum tSelectMode
	{
		REFERENCE_FRAME,
		CATALOGUE_FILE
	};

	// Sort modes
	enum tSortMode
	{
		SORT_ID,
		SORT_STARS
	};

	GtkWidget		*m_pDlg;
	int				m_FrameId, m_InFiles, m_OutFiles;
	tSelectMode		m_SelectMode;
	tSortMode		m_SortMode;
	GList			*m_FileList;
	GSList			*m_Columns;
	GtkWidget		*m_RefFiles, *m_CatFiles, *m_FileChooser; 
	GtkWidget		*m_View, *m_RefBtn, *m_CatBtn;
	GtkTreeModel	*m_Files;
	CChart			m_Chart;
	CPreview		m_Preview;
	gchar			*m_CatFile;

	static void selection_changed(GtkTreeSelection *widget, CMatchingDlg *pMe);
	static void button_clicked(GtkWidget *pButton, CMatchingDlg *pDlg);
	static void column_clicked(GtkTreeViewColumn *treeviewcolumn, CMatchingDlg *pDlg);
	static void update_preview(GtkFileChooser *pChooser, CMatchingDlg *pMe);

	void SetSelectMode(tSelectMode mode);
	void SetSortMode(tSortMode mode);
	void SelectionChanged(GtkTreeSelection *selection);
	void OnButtonClicked(GtkWidget *pBtn);
	void OnColumnClicked(GtkTreeViewColumn *pCol);
	void OnUpdatePreview(GtkFileChooser *pChooser);

	int ProcessFiles(class CProgressDlg *sender);

	static int ExecuteProc(class CProgressDlg *sender, void *user_data);
};

#endif
