/**************************************************************

observer_dlg.h (C-Munipack project)
The 'Enter observer coordinates' dialog
Copyright (C) 2009 David Motl, dmotl@volny.cz

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

**************************************************************/

#ifndef CMPACK_OBSERVER_DLG_H
#define CMPACK_OBSERVER_DLG_H

#include <gtk/gtk.h>

class CObserverDlg
{
public:
	CObserverDlg(GtkWindow *pParent);
	~CObserverDlg();

	bool Execute();

private:
	// Selection modes
	enum tSelectMode
	{
		DEFAULT_LOCATION,
		REFERENCE_FRAME,
		MANUAL_ENTRY
	};

	GtkWidget		*m_pDlg, *m_Select, *m_RefBtn, *m_DefBtn, *m_ManBtn;
	GtkWidget		*m_RefName, *m_RefLon, *m_RefLat, *m_RefBox;
	GtkWidget		*m_DefaultName, *m_DefaultLon, *m_DefaultLat, *m_DefaultBox;
	GtkWidget		*m_EntryName, *m_EntryLon, *m_EntryLat, *m_EntryBox;
	tSelectMode		m_SelectMode;

	void SetSelectMode(tSelectMode mode);

	bool OnResponseDialog(gint response_id);
	void OnButtonClicked(GtkWidget *pBtn);

	static void response_dialog(GtkDialog *pDlg, gint response_id, CObserverDlg *pMe);
	static void button_clicked(GtkWidget *pButton, CObserverDlg *pDlg);
};

#endif
