/**************************************************************

stars_dlg.h (C-Munipack project)
The 'Choose stars' dialog
Copyright (C) 2008 David Motl, dmotl@volny.cz

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

**************************************************************/

#ifndef CMPACK_STARS_DLG_H
#define CMPACK_STARS_DLG_H

#include <gtk/gtk.h>

#include "chart.h"
#include "popup.h"

class CStarsDlg
{
public:
	CStarsDlg(GtkWindow *pParent);
	~CStarsDlg();

	bool Execute();
private:
	// Display modes
	enum tDispMode
	{
		DISP_IMAGE,
		DISP_CHART,
		DISP_FULL
	};

	GtkWidget		*m_pDlg;
	tDispMode		m_DispMode;
	CChart			m_Chart;
	GtkWidget		*m_ShowImage, *m_ShowChart, *m_ShowFull;
	GtkWidget		*m_ClearBtn, *m_RestoreBtn;
	CPopupMenu		m_SelectMenu;
	int				m_LastIndex, m_StarId;

	void SetDisplayMode(tDispMode mode);
	void OnButtonClicked(GtkWidget *pBtn);
	void OnMouseMove(void);
	void OnLButtonClick(const GdkEventButton *event);
	void RestoreSelection(void);

	static void button_clicked(GtkWidget *pButton, CStarsDlg *pDlg);
	static void ChartClick(int message, int wparam, void* lparam, void* cb_data);
	static void MenuClick(int message, int wparam, void* lparam, void* cb_data);
};

#endif
