/**************************************************************

toolbar.cpp (C-Munipack project)
Tool bar wrapper
Copyright (C) 2008 David Motl, dmotl@volny.cz

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

**************************************************************/

#include <stdlib.h>
#include <glib.h>

#include "utils.h"
#include "statusbar.h"

// Default constructor
CStatusBar::CStatusBar():m_ContextId(0), m_MessageId(-1), m_hBar(NULL)
{
}

// Destructor
CStatusBar::~CStatusBar()
{
}

// Create and initialize the m_hBar
void CStatusBar::Create(void)
{
	m_hBar = gtk_statusbar_new();
	gtk_widget_show (m_hBar);
	m_ContextId = gtk_statusbar_get_context_id(GTK_STATUSBAR(m_hBar), "Main");
}


// Create and initialize the m_hBar
void CStatusBar::Set(const char *caption)
{
	if (m_MessageId>=0) {
		gtk_statusbar_remove(GTK_STATUSBAR(m_hBar), m_ContextId, m_MessageId);
		m_MessageId = -1;
	}
	if (caption) {
		m_MessageId = gtk_statusbar_push(GTK_STATUSBAR(m_hBar), m_ContextId, caption);
	}
}
